<template>
    <q-item class="q-pa-md" clickable v-ripple :to="`floor/${floorId}/floorplan/${floorplan.id}`">
        <q-item-section top thumbnail class="q-ml-none">
            <img :src="floorplan.image" style="width: 100px" :alt="Avatar">
        </q-item-section>

        <q-item-section>
            <q-item-label :class="latest ? 'text-primary': ''"> {{ floorplan.name }}</q-item-label>
            <q-item-label caption>
                {{ floorplan.id }}
            </q-item-label>
        </q-item-section>

        <q-item-section side top>
            <q-item-label caption>{{ TimeStamp }}</q-item-label>
            <q-icon name="check" color="positive" v-if="latest"/>
        </q-item-section>
    </q-item>
</template>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';
import {FloorPlanPrincipalResponse} from "src/classLibrary/APIModels/core/floorPlanPrincipalResponse";
import formatRelative from 'date-fns/formatRelative'
import {GenerateAvatar} from "src/classLibrary/AvatarGenerator";

@Component
export default class FloorPlanItem extends Vue {
    @Prop() floorId!: string
    @Prop() floorplan!: FloorPlanPrincipalResponse;
    @Prop() latest!: boolean

    get Avatar() {
        return GenerateAvatar(this.floorplan.name);
    }

    get TimeStamp() {
        return formatRelative(new Date(this.floorplan.timeStamp), Date.now());
    }
}
</script>
